Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class Repository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AccurevRepository, BaseClearcaseRepository, CvsRepository, FileSystemRepository, PerforceRepository, QuickBuildRepository, StarTeamRepository, SvnRepository, UCMClearcaseRepository, VssRepository

public abstract class Repository
extends java.lang.Object
implements java.io.Serializable

Abstract class for repository including some common functionalities. It is a convienient way to extend this class to implement other repositories.

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`Repository()`

Method Summary
`protected abstract void` | `buildFinished(Build build)` Indicates build has finished.
`protected abstract void` | `checkout(Build build)` Check out codes for specified build.
`void` | `cleanupCheckoutStarted(Build build)`
`protected abstract void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`void` | `doCheckout(Build build)` Checkout contents from version control system
`void` | `doLabel(Build build, java.lang.String label, java.lang.String comment)`
`boolean` | `equals(java.lang.Object other)`
`Revisions` | `getChangeListSince(java.util.Date date, Build build)`
`protected abstract Revisions` | `getChangeListSince(DependentContext context, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`protected java.util.Map` | `getDate2Revisions()`
`RepositoryEditor` | `getEditor()`
`java.lang.String` | `getLoginMappingName()` Choose login mapping for this repository.
`org.apache.tapestry.form.IPropertySelectionModel` | `getLoginMappingNameSelectionModel()`
`abstract java.lang.Class` | `getModuleClazz()`
`java.util.List` | `getModules()`
`java.lang.String` | `getName()` Provide a name for this repository.
`java.util.Map` | `getNameChoices()`
`long` | `getQuietPeriod()` Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build.
`int` | `hashCode()`
`boolean` | `isCheckedOut()`
`boolean` | `isModified()`
`boolean` | `isModifiedSince(java.util.Date date, Configuration configuration)`
`protected boolean` | `isQuietSince(java.util.Date date, Build build)` Detect if the repository is quiet since specified date.
`protected abstract void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `notifyBuildFinished(Build build)`
`protected void` | `resolveOgnlExpressions(Configuration configuration)`
`void` | `setEditor(RepositoryEditor editor)`
`void` | `setLoginMappingName(java.lang.String loginMappingName)`
`void` | `setName(java.lang.String name)`
`void` | `setQuietPeriod(long quietPeriod)`
`void` | `validate(Editable editable)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Repository

    public Repository()

Method Detail

### resolveOgnlExpressions

    protected void resolveOgnlExpressions(Configuration configuration)

### getDate2Revisions

    protected java.util.Map getDate2Revisions()

### doCheckout

    public final void doCheckout(Build build)

  Checkout contents from version control system

  Parameters:
    `build` -

### checkout

    protected abstract void checkout(Build build)

  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Parameters:
    `build` -

### notifyBuildFinished

    public final void notifyBuildFinished(Build build)

### buildFinished

    protected abstract void buildFinished(Build build)

  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Parameters:
    `build` -

### isQuietSince

    protected boolean isQuietSince(java.util.Date date,
                                   Build build)

  Detect if the repository is quiet since specified date. OGNL expressions have been resolved before call this method.

  Parameters:
    `date` -
    `build` -
  Returns:

### isModifiedSince

    public final boolean isModifiedSince(java.util.Date date,
                                         Configuration configuration)

### isModified

    public final boolean isModified()

### getChangeListSince

    public final Revisions getChangeListSince(java.util.Date date,
                                              Build build)

### getChangeListSince

    protected abstract Revisions getChangeListSince(DependentContext context,
                                                    java.util.Date date,
                                                    java.lang.String workingDir,
                                                    org.apache.log4j.Logger logger)

  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Parameters:
    `context` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

### getModuleClazz

    public abstract java.lang.Class getModuleClazz()

### getQuietPeriod

    public long getQuietPeriod()

  Number of seconds current repository should be quiet (without checkins) before QuickBuild decides to check out the code from this repository for a build. This is used to avoid checking out code in the middle of some other checkins. This property is optional. When set as 0, quiet period will not be used before checking out code to build.

  Returns:

### setQuietPeriod

    public void setQuietPeriod(long quietPeriod)

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

### getName

    public java.lang.String getName()

  Provide a name for this repository.

  Returns:

### setName

    public void setName(java.lang.String name)

### getNameChoices

    public java.util.Map getNameChoices()

### getEditor

    public RepositoryEditor getEditor()

### setEditor

    public void setEditor(RepositoryEditor editor)

### getModules

    public java.util.List getModules()

  Returns:

### isCheckedOut

    public boolean isCheckedOut()

### label

    protected abstract void label(Build build,
                                  java.lang.String label,
                                  java.lang.String comment)

  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Parameters:
    `build` -

### doLabel

    public final void doLabel(Build build,
                              java.lang.String label,
                              java.lang.String comment)

### cleanupCheckoutStarted

    public final void cleanupCheckoutStarted(Build build)

### cleanupCheckoutStarted

    protected abstract void cleanupCheckoutStarted(java.lang.String workingDir,
                                                   org.apache.log4j.Logger logger)

  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Parameters:
    `workingDir` -
    `logger` -

### validate

    public void validate(Editable editable)

### getLoginMappingNameSelectionModel

    public org.apache.tapestry.form.IPropertySelectionModel getLoginMappingNameSelectionModel()

### getLoginMappingName

    public java.lang.String getLoginMappingName()

  Choose login mapping for this repository. Login mapping is used to map repository login to QuickBuild user. It can be configured at \"login mappings\" tab of the configuration.

  Returns:

### setLoginMappingName

    public void setLoginMappingName(java.lang.String loginMappingName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.